Page MenuHomePhabricator

Redirects with RfD tags should display in the feed under 'Nominated for deletion'
Closed, ResolvedPublic5 Story Points

Description

Current behavior:

When an RfD (Redirect for Deletion) tag is added to a redirect, the New Pages Feed still categorizes the page under Type Redirects.

Desired behavior:

When an RfD tag is added to a redirect, the New Pages Feed should no longer show the article under Type Redirects but instead show it when filtering by Type Nominated for Deletion only.

Also update the label Redirects to be Redirects (not RfD)

Notes:

Reference screenshot:

Event Timeline

joeroe created this task.Feb 2 2017, 3:59 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 2 2017, 3:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
joeroe updated the task description. (Show Details)Feb 2 2017, 4:01 PM

https://en.wikipedia.org/wiki/Wikipedia_talk:New_pages_patrol/Reviewers#RfDs_in_the_New_Pages_Feed

This discussion is relevant to this task.

In short, this task should treat these as 'Nominated for deletion' now instead of 'redirects'. Because the newly fixed 'Nominated for deletion' section is separate from 'redirects' and we would prefer not to have them in the 'all others' category, they should instead be moved to the 'Nominated for deletion' type category.

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 19 2018, 2:43 PM
Insertcleverphrasehere renamed this task from Redirects with RfD tags should still display in the New Pages Feed as redirects to Redirects with RfD tags should still display in the New Pages Feed as 'Nominated for deletion'.Oct 29 2018, 3:42 PM
Insertcleverphrasehere updated the task description. (Show Details)
Niharika triaged this task as Normal priority.Mar 11 2019, 11:16 PM
Niharika updated the task description. (Show Details)

@Insertcleverphrasehere @joeroe Can you confirm that the task description accurately reflects what the need is? Thank you.

@Insertcleverphrasehere @joeroe Can you confirm that the task description accurately reflects what the need is? Thank you.

Yes. That is correct.

Niharika renamed this task from Redirects with RfD tags should still display in the New Pages Feed as 'Nominated for deletion' to Redirects with RfD tags should display in the feed under 'Nominated for deletion'.Apr 2 2019, 9:32 PM
Niharika added a project: Community-Tech.
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Niharika updated the task description. (Show Details)Apr 25 2019, 5:22 PM
Niharika set the point value for this task to 5.Apr 25 2019, 5:25 PM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Barkeep49 removed a subscriber: Barkeep49.
Barkeep49 added a subscriber: Barkeep49.

Change 507913 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageTriage@master] Treat RfD pages as AfDs instead of redirects

https://gerrit.wikimedia.org/r/507913

Niharika assigned this task to Samwilson.May 3 2019, 9:36 PM
Niharika removed Samwilson as the assignee of this task.May 3 2019, 9:39 PM
Niharika assigned this task to Samwilson.
Niharika added a subscriber: Samwilson.

This is ready to merge, but we've not done so yet because it needs to be QA'd before going out with the train. Will merge next week.

@Niharika @joeroe @Insertcleverphrasehere Just to check I have understood the problem and that you are happy with our solution:

After T157046#5155012:

  1. Article is redirect.
  2. Article gets marked RfD (either via the Curation Toolbar or by adding "{{subst:Rfd-NPF}}" to article).
  3. Article no longer counts as a redirect; does not appear in NewPagesFeed when filtering for redirects (this was the case previously).
  4. Article appears in NewPagesFeed only when filtering for "Nominated for deletion", with black Trash icon. On the article, the Curation Toolbar displays the Trash icon in black.

Would you also like the "Redirects" which appears next to "Showing" to be renamed "Redirects (not RfD)" as well?

@Niharika @joeroe @Insertcleverphrasehere Just to check I have understood the problem and that you are happy with our solution:
After T157046#5155012:

  1. Article is redirect.
  2. Article gets marked RfD (either via the Curation Toolbar or by adding "{{subst:Rfd-NPF}}" to article).
  3. Article no longer counts as a redirect; does not appear in NewPagesFeed when filtering for redirects (this was the case previously).
  4. Article appears in NewPagesFeed only when filtering for "Nominated for deletion", with black Trash icon. On the article, the Curation Toolbar displays the Trash icon in black.

Would you also like the "Redirects" which appears next to "Showing" to be renamed "Redirects (not RfD)" as well?

Yes that sounds right.

Niharika added a subscriber: MusikAnimal.

@MusikAnimal @Samwilson Let's get this out. Keeping the ticket open until it is deployed.

Change 507913 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Treat RfD pages as AfDs instead of redirects

https://gerrit.wikimedia.org/r/507913

Niharika added a comment.EditedJun 19 2019, 7:43 PM

To de deployed on June 27.

@Niharika Is there a reason these entries appear with articles rather htan redirects when sorting the queue?

@Niharika Is there a reason these entries appear with articles rather htan redirects when sorting the queue?

Can you clarify that a bit?

I could but it was a stupid comment. Please disregard.

ifried added a subscriber: ifried.Jul 15 2019, 10:30 PM

@Barkeep49 Hey -- I'm Ilana, the new PM for the Community Tech team. It looks like this work was deployed to production. Can you verify that it works as expected? Thanks!

Yes it does. Pleasure to virtually meet you @ifried

@Barkeep49 Thank you (and nice to virtually meet you, too!).

ifried closed this task as Resolved.Jul 15 2019, 11:09 PM